osl::effect::MoveSignatureTable Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Member Functions | Private Attributes | List of all members
osl::effect::MoveSignatureTable Class Reference

PtypeOからMoveSignatureを求めるテーブル. More...

`#include <moveSignature.h>`

Collaboration diagram for osl::effect::MoveSignatureTable:
[legend]

## Public Member Functions
| MoveSignatureTable ()
MoveSignature | getSignature (PtypeO ptypeo) const

## Private Member Functions
template<Ptype T>
void | setSignature ()
template<Ptype T>
void | setSignatures (Int2Type< T >)
template<>
void | setSignatures (Int2Type< ROOK >)

## Private Attributes
CArray< MoveSignature, PTYPEO_SIZE > | signatures

## Detailed Description

PtypeOからMoveSignatureを求めるテーブル.

Definition at line 54 of file moveSignature.h.

## Constructor & Destructor Documentation

osl::effect::MoveSignatureTable::MoveSignatureTable | ( | ) |  |

Definition at line 38 of file moveSignature.cc.

References osl::PTYPEO_EDGE, osl::PTYPEO_EMPTY, osl::PTYPEO_MIN, osl::effect::signature_EDGE, osl::effect::signature_EMPTY, and signatures.

## Member Function Documentation

MoveSignature osl::effect::MoveSignatureTable::getSignature | ( | PtypeO | ptypeo) |  | const
| inline

Definition at line 63 of file moveSignature.h.

References osl::isValidPtypeO(), osl::PTYPEO_MIN, and signatures.

Referenced by osl::effect::ApplyDoUndoCaptureMove< P, SignatureEffect< BaseState > >::doUndoCaptureMove(), osl::effect::ApplyDoUndoDropMove< P, SignatureEffect< BaseState > >::doUndoDropMove(), osl::effect::ApplyDoUndoSimpleMove< P, SignatureEffect< BaseState > >::doUndoSimpleMove(), and osl::effect::SignatureTable::SignatureTable().

template<Ptype T>

void osl::effect::MoveSignatureTable::setSignature | ( | ) |  |
| private

Definition at line 20 of file moveSignature.cc.

References osl::BLACK, osl::effect::getPlayerMask< BLACK >(), osl::effect::getPlayerMask< WHITE >(), osl::newPtypeO(), osl::PTYPEO_MIN, signatures, and osl::WHITE.

template<>

void osl::effect::MoveSignatureTable::setSignatures | ( | Int2Type< ROOK > | ) |  |
| private

Definition at line 34 of file moveSignature.cc.

template<Ptype T>

void osl::effect::MoveSignatureTable::setSignatures | ( | Int2Type< T > | ) |  |
| private

Definition at line 28 of file moveSignature.cc.

## Member Data Documentation

CArray<MoveSignature,PTYPEO_SIZE> osl::effect::MoveSignatureTable::signatures
| private

Definition at line 55 of file moveSignature.h.

Referenced by getSignature(), MoveSignatureTable(), and setSignature().

The documentation for this class was generated from the following files:

- moveSignature.h
- moveSignature.cc